Project Chrono: chrono::vehicle::ChAxle Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::vehicle::ChAxle Class Reference
VEHICLE module » Wheeled vehicles » Suspension subsystem

## Description

Base class for a suspension subsystem.

`#include <ChAxle.h>`

## Public Member Functions
void | SetOutput (bool state)
| Enable/disable output for this subsystem.
void | Initialize (std::shared_ptr< ChChassis > chassis, std::shared_ptr< ChSubchassis > subchassis, std::shared_ptr< ChSteering > steering, const ChVector3d &susp_location, const ChVector3d &arb_location, double wheel_separation=0, double left_ang_vel=0, double right_ang_vel=0)
| Initialize this axle subsystem, by initializing its components.
void | Synchronize (double time, const DriverInputs &driver_inputs)
| Synchronize this axle subsystem.
virtual void | Advance (double step)
| Advance the state of this axle subsystem by the specified time step.
const ChWheelList & | GetWheels () const
| Get all wheels from this axle.
std::shared_ptr< ChWheel > | GetWheel (VehicleSide side, WheelLocation location=SINGLE) const
| Get the specified wheel of this axle.
std::shared_ptr< ChBrake > | GetBrake (VehicleSide side) const
| Get the sdpecified brake of this axle.

## Public Attributes
std::shared_ptr< ChSuspension > | m_suspension
std::shared_ptr< ChBrake > | m_brake_left
std::shared_ptr< ChBrake > | m_brake_right
std::shared_ptr< ChAntirollBar > | m_antirollbar
ChWheelList | m_wheels

## Member Function Documentation

## ◆ GetWheels()

const ChWheelList & chrono::vehicle::ChAxle::GetWheels | ( |  | ) | const
| inline

Get all wheels from this axle.

The wheels associated with an axle are assumed to be ordered from inner to outer wheels, first left then right. In other words, for a single-wheel axle the order is left wheel, right wheel. For a double-wheel axle, the order is inner left, inner right, outer left, outer right.

## ◆ Initialize()

void chrono::vehicle::ChAxle::Initialize | ( | std::shared_ptr< ChChassis > | chassis,
|  | std::shared_ptr< ChSubchassis > | subchassis,
|  | std::shared_ptr< ChSteering > | steering,
|  | const ChVector3d & | susp_location,
|  | const ChVector3d & | arb_location,
|  | double | wheel_separation = 0,
|  | double | left_ang_vel = 0,
|  | double | right_ang_vel = 0 )

Initialize this axle subsystem, by initializing its components.

The suspension subsystem is initialized by attaching it to the specified chassis and (if provided) to the specified subchassis, at the specified location (with respect to and expressed in the reference frame of the chassis). It is assumed that the suspension reference frame is always aligned with the chassis reference frame. If a steering subsystem is provided, the suspension tierods are to be attached to the steering's central link body (steered suspension); otherwise they are to be attached to the chassis (non-steered suspension). 'wheel_separation' is the distance between wheel centers on one side of the axle (if using double wheels). The default value of 0 indicates the common case of a single wheel per side.

Parameters

  chassis | associated chassis subsystem
  subchassis | associated subchassis subsystem (may be null)
  steering | associated steering subsystem (may be null)
  susp_location | suspension location relative to the chassis frame
  arb_location | antirollbar location relative to chassis frame
  wheel_separation | distance between wheel centers on one side
  left_ang_vel | initial angular velocity of left wheel
  right_ang_vel | initial angular velocity of right wheel

## ◆ Synchronize()

void chrono::vehicle::ChAxle::Synchronize | ( | double | time,
|  | const DriverInputs & | driver_inputs )

Synchronize this axle subsystem.

Parameters

  [in] | time | current time
  [in] | driver_inputs | current driver inputs

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/ChAxle.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/ChAxle.cpp